Subject: Re: Problem with -mno-cygwin compile
From: "John Huddleston" <[email-masked]>
To: "Craig Lanning" <[email-masked]>, <[email-masked]>
Date: Tue, 22 Feb 2000 08:19:15 -0700

I have B20.1 with the 2.95.2 upgrade and it works for me.

Post your cygcheck -s -v -r to the list.

----- Original Message ----- 
From: Craig Lanning <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, February 22, 2000 8:06 AM
Subject: Problem with -mno-cygwin compile

> 
> My environment is
>    Windows 98
>    Cygwin b20.1 + 2/21 snapshot
>    gcc 2.95.2
> 
> If I compile the code below with -mno-cygwin it complains about the
> symbol _environ_dll not being resolved.  (I have been seeing this
> problem for a couple of months.)  If I compile it without -mno-cygwin
> it works fine.  Is there something else I need to do to get it to work
> with -mno-cygwin?
> 
> Craig Lanning
> 
> --------------------------------------------------
> #include <stdio.h>
> #include <stdlib.h>
> 
> extern char **environ;
> 
> int main(void)
> {
>   int i=1;
>   char **env=environ;
> 
>   while (*env) {
>     printf("env[%2d]: %s\n",i++,*env);
>     env++;
>   }
> }
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]